#### any_completion_handler_allocator< void, Signatures... >::rebind::other

Specifies the type of the rebound allocator.

    typedef any_completion_handler_allocator< U, Signatures... > other;

###### Types

Name | Description
--- | ---
value_type | The type of objects that may be allocated by the allocator.

###### Member Functions

Name | Description
--- | ---
allocate | Allocate space for n objects of the allocator's value type.
any_completion_handler_allocator [constructor] | Construct from another any_completion_handler_allocator.
deallocate | Deallocate space for n objects of the allocator's value type.
operator!= | Inequality operator.
operator== | Equality operator.

###### Requirements

Header: `asio/any_completion_handler.hpp`

Convenience header: `asio.hpp`